package message.portlets;

import java.io.IOException;
import java.io.PrintWriter;

import javax.portlet.*;

import message.MessageHelper;
import message.MessageUtils;

public class Portlet1 extends GenericPortlet{

	
	protected void doEdit(RenderRequest request, RenderResponse response) throws PortletException, IOException {
		String id = this.getInstanceID(request);
        String msg_session_id = MessageHelper.getSessionID(request);
		MessageHelper.loadPrefs(request, id, msg_session_id);
		MessageUtils.prepareMappingForm(request, id, msg_session_id);
		getPortletContext().getRequestDispatcher("/WEB-INF/jsp/edit_mappings.jsp").include(request, response);
	}
	

	protected void doView(RenderRequest request, RenderResponse response) throws PortletException, IOException {
		String id = this.getInstanceID(request);
        String msg_session_id = MessageHelper.getSessionID(request);
		MessageHelper.loadPrefs(request, id, msg_session_id);
		
		response.setContentType("text/html");
		PrintWriter out = response.getWriter();
		
		PortletURL aURL = response.createActionURL();
		aURL.setParameter("ACTION", "sendmsg");
		
		out.println("<b>Message Session ID:</b> "+msg_session_id+"<br/>");
		out.println("<b>Portlet App:</b> "+request.getContextPath()+"<br/>");

		out.println("<b>Portlet1</b>:<br/>");
		out.println("<a href=\""+aURL+"\">send message</a><br/><br/>");
		
		MessageHelper msgh = new MessageHelper(request.getPortletSession(true), id, msg_session_id);
		String msg = (String)msgh.get("a_val");
		out.println("my a_val msg: "+msg);
		
	}

	public void processAction(ActionRequest request, ActionResponse response) throws PortletException, IOException {
		String id = this.getInstanceID(request);
        String msg_session_id = MessageHelper.getSessionID(request);
		MessageHelper.loadPrefs(request, id, msg_session_id);
		
		
		if (request.getPortletMode().equals(PortletMode.EDIT)) {
				MessageUtils.processMappingForm(request, response, id, msg_session_id);
		}
		
		if ("sendmsg".equals(request.getParameter("ACTION"))){
			System.out.println("try sending message from Portlet 1 in webapp "+request.getContextPath());
			MessageHelper msgh = new MessageHelper(request.getPortletSession(true), id, msg_session_id);
			msgh.send("a_val", "this is a message from Portlet1 in portlet webapp "+request.getContextPath());
		}
	}
	
	public String getInstanceID(PortletRequest request){
		return "Portlet1."+MessageHelper.getPortletID(request);
	}
	

}
