/* Copyright 2005-2006 Michelle Osmond
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/

package message.retriever;

import javax.portlet.PortletRequest;

import message.SessionIDRetriever;

/**
 * Implementation for use when you only want portlets in one webapp 
 * to communicate: it just uses the local portlet session id.
 *
 * If your server is set up to give all portlet apps the same sessionid,
 * then you could use this for communication between portlets in 
 * different webapps.
 * 
 * @author Michelle Osmond
 * @version 1.0
 */
public class LocalSessionIDRetriever implements SessionIDRetriever {
    
    public String getSessionID(PortletRequest request){
        return request.getPortletSession(true).getId();
    }

}